::
:: Aspera Central SDK - Java sample
::
:: Builds the Java sample
::
:: Aspera, Inc.
::

@echo off
setlocal

:: Set the correct path to the java compiler, e.g.
:: set JAVAC=C:\Program Files\Java\jdk1.5.0_09\bin\javac
set JAVAC=javac

rmdir /s /q classes > NUL
mkdir classes

set CP=src
set CP=%CP%;lib\activation-1.1.jar
set CP=%CP%;lib\axiom-api-1.2.8.jar
set CP=%CP%;lib\axiom-impl-1.2.8.jar
set CP=%CP%;lib\axis2-adb-1.5.1.jar
set CP=%CP%;lib\axis2-kernel-1.5.1.jar
set CP=%CP%;lib\axis2-transport-http-1.5.1.jar
set CP=%CP%;lib\axis2-transport-local-1.5.1.jar
set CP=%CP%;lib\commons-codec-1.3.jar
set CP=%CP%;lib\commons-httpclient-3.1.jar
set CP=%CP%;lib\commons-logging-1.1.1.jar
set CP=%CP%;lib\geronimo-stax-api_1.0_spec-1.0.1.jar
set CP=%CP%;lib\httpcore-4.0.jar
set CP=%CP%;lib\mail-1.4.jar
set CP=%CP%;lib\neethi-2.0.4.jar
set CP=%CP%;lib\wsdl4j-1.6.2.jar
set CP=%CP%;lib\wstx-asl-3.2.4.jar
set CP=%CP%;lib\XmlSchema-1.4.3.jar

"%JAVAC%" -cp "%CP%" -d classes src\com\aspera\samples\central\query\faspsessionnet200911\*.java src\com\aspera\samples\central\query\*.java
if %ERRORLEVEL% NEQ 0 goto FAILED
copy src\com\aspera\samples\central\query\*.txt classes\com\aspera\samples\central\query\. > NUL 
if %ERRORLEVEL% NEQ 0 goto FAILED

"%JAVAC%" -cp "%CP%" -d classes src\com\aspera\samples\central\job\jobnet200601\*.java src\com\aspera\samples\central\job\*.java
if %ERRORLEVEL% NEQ 0 goto FAILED
copy src\com\aspera\samples\central\job\*.txt classes\com\aspera\samples\central\job\. > NUL 
if %ERRORLEVEL% NEQ 0 goto FAILED

echo Build completed.
goto DONE

:FAILED
echo Build failed.

:DONE
endlocal