#
# Aspera Central SDK - Java sample
#
# Builds the Java sample
#
# Aspera, Inc.
#

# Set the correct path to the java compiler, e.g.
# set JAVAC=C:\Program Files\Java\jdk1.5.0_09\bin\javac
export JAVAC=javac

rm -rf classes
mkdir classes

export CP=src
export CP=$CP:lib/activation-1.1.jar
export CP=$CP:lib/axiom-api-1.2.8.jar
export CP=$CP:lib/axiom-impl-1.2.8.jar
export CP=$CP:lib/axis2-adb-1.5.1.jar
export CP=$CP:lib/axis2-kernel-1.5.1.jar
export CP=$CP:lib/axis2-transport-http-1.5.1.jar
export CP=$CP:lib/axis2-transport-local-1.5.1.jar
export CP=$CP:lib/commons-codec-1.3.jar
export CP=$CP:lib/commons-httpclient-3.1.jar
export CP=$CP:lib/commons-logging-1.1.1.jar
export CP=$CP:lib/geronimo-stax-api_1.0_spec-1.0.1.jar
export CP=$CP:lib/httpcore-4.0.jar
export CP=$CP:lib/mail-1.4.jar
export CP=$CP:lib/neethi-2.0.4.jar
export CP=$CP:lib/wsdl4j-1.6.2.jar
export CP=$CP:lib/wstx-asl-3.2.4.jar
export CP=$CP:lib/XmlSchema-1.4.3.jar


echo Build faspsessionnet

$JAVAC -cp "$CP" -d classes src/com/aspera/samples/central/query/faspsessionnet200911/*.java src/com/aspera/samples/central/query/*.java

cp src/com/aspera/samples/central/query/*.txt classes/com/aspera/samples/central/query/. 

echo Build jobnet

$JAVAC -cp "$CP" -d classes src/com/aspera/samples/central/job/jobnet200601/*.java src/com/aspera/samples/central/job/*.java

cp src/com/aspera/samples/central/job/*.txt classes/com/aspera/samples/central/job/

echo Build completed.
